/* @import url(//fonts.googleapis.com/earlyaccess/notokufiarabic.css);
@import url(//fonts.googleapis.com/earlyaccess/notonaskharabicui.css); */

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;300;400;500;600;700&display=swap');
/* @import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;1,200;1,300;1,400;1,500;1,600;1,700&display=swap'); */

@import url('https://fonts.googleapis.com/css2?family=IBM+Plex+Sans+Arabic:wght@100;200;300;400;500;600;700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

@import url(fonts/fonts.css);
@import url(fonts/fonts2.css);
@import url(fonts/fonts3.css);

:root {
    --font-family: Poppins, 'LTK-R';
    --font-family-bold: Poppins, 'LTK-S';

    --font-family-kurdi: Poppins, NotoArabic;
    --font-family-bold-kurdi: Poppins, NotoArabic;

    --gray: #dddddd;
}


/* .v-slide-group__prev.v-slide-group__prev--disabled{
    display: none!important;
} */

.h100 {
    height: 100% !important;
}

.tarqeem-font {
    font-family: Poppins, var(--font-family) !important;
}

.tarqeem-font-kurdi {
    font-family: Poppins, var(--font-family-kurdi) !important;
}

@viewport {
    height: device-height;
}

.theme--light.v-tabs>.v-tabs-bar {
    flex: 0 0 3rem;
    /* background-color: red!important; */
}

.v-window.v-item-group {
    flex: 1;
    /* background-color: brown!important; */
}

.v-tabs-items {
    display: flex;
}

.v-tabs-items>div {
    flex: 1;
    display: flex;
}

.v-window-item--active {
    flex: 1 1 100% !important;
}

.results-container .v-text-field>.v-input__control>.v-input__slot {
    margin-bottom: 0;
}

.report_lines .v-select__selection--comma,
.report_lines .theme--light.v-input:not(.v-input--is-disabled) input,
.report_lines .theme--light.v-input:not(.v-input--is-disabled) textarea {
    color: gray !important;
    font-size: .95rem !important;
}


.patient-card .v-list-item .v-list-item__title,
.patient-card .v-list-item .v-list-item__subtitle {
    font-size: 1.1rem !important;
    font-family: NotoArabic, Roboto;
    overflow-y: hidden !important;
    font-weight: bold !important;
    line-height: 1.2rem !important;
}

.patient-card .v-list .v-icon {
    font-size: 1.5rem !important;
}

.patient-card .v-application--is-ltr .v-list-item__action:first-child,
.patient-card .v-application--is-ltr .v-list-item__icon:first-child {
    margin-right: 3px !important;
}

.patient-card .theme--light.v-list-item:not(.v-list-item--active):not(.v-list-item--disabled) {
    border-bottom: 1px solid #0f50fe;
    border-bottom: 1px solid #0f50fe73;
}

.report-lines-home>table.v-table tbody td,
.report-lines-home>table.v-table tbody th {
    height: 19px !important;
}

.report-lines-home>.v-input__control {
    height: 1.5rem !important;
}

.switch-td>.v-input__control {
    height: 1.5rem !important;
}

/* multiple branches in test stats */
.ui.label.transition.visible {
    width: auto;
}

.v-btn__content,
.v-avatar {
    overflow-y: hidden !important;
    overflow-x: hidden !important;
}

.v-chip__content {
    overflow-x: hidden;
}

.theme--light.v-stepper .v-stepper__step__step .v-icon {
    font-size: 1rem !important;
}

@media only screen and (max-width: 625px) {
    body {
        zoom: 1;
    }

    .home-button {
        width: 100% !important;
    }
}

@media only print {

    .v-application--wrap {
        background: white !important;
    }

    html,
    body,
    .app-home {
        overflow: auto !important;
        height: auto !important;
    }

    .scroll-y {
        height: auto;
        overflow: visible;
    }

    .app-home {
        padding: 0px !important;
        overflow-x: hidden !important;
        height: auto !important;
        margin-top: 0 !important;
        margin-bottom: 0 !important;
        padding-top: 0 !important;
        padding-bottom: 0 !important;
    }

    .v-content {
        padding: 0 !important;
    }

    .report-wrapper {
        display: block !important;
        height: auto !important;
        overflow-y: visible !important;
        /* background: orange; */
    }


    /* html, body {
        overflow-y: visible!important;
    }

    #app div.report {
        height: auto!important;
    } */

    /* .ui.search>.results .result.active {
        background: #1b51fd73!important;
    } */
}

@media print {
    body {
        margin: 0;
        padding: 0;
        /* background-color: #FAFAFA; */
        font: 12pt "Tahoma";
    }

    * {
        box-sizing: border-box;
        -moz-box-sizing: border-box;
    }

    .page {
        display: block !important;
        width: 21cm;
        min-height: 29.7cm;
        padding: 2cm;
        padding: 0;
        margin: 1cm auto;
        border: 1px #D3D3D3 solid;
        border-radius: 5px;
        background: white;
        box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
        overflow-y: hidden;
    }

    .page-a5 {
        width: 210mm;
        /* Original A4 width */
        height: 297mm;
        /* Original A4 height */
        transform: scale(0.707) rotate(90deg) translate(0, -100%);
        transform-origin: 0 0;
    }

    .subpage {
        padding: 1cm;
        padding: 0;
        border: 5px lightblue solid;
        border: 5px white solid;
        height: 256mm;
        height: 295mm;
        outline: 2cm #FFEAEA solid;
        outline: 2cm white solid;
        padding-right: 1cm;
        padding-left: 1cm;
    }

    @page {
        /* size: A4; */
        margin: 0 !important;
    }

    .page {
        margin: 0;
        border: initial;
        border-radius: initial;
        width: initial;
        min-height: initial;
        box-shadow: initial;
        /* background: initial; */
        page-break-after: always;
    }
}

@media only screen and (max-width: 1200px) {
    body {
        zoom: .9;
    }
}

@media only screen {

    body {
        overflow-y: visible !important;
        height: auto !important;
        /* fix height */
        height: 100% !important;
    }

    html {
        overflow-y: visible !important;
    }

    * {
        overflow-y: visible !important;
    }

    .page {
        display: none;
    }

    .i.circular.icon {
        width: 2.35em !important;
        height: 2.35em !important;
    }

    .ui.labeled.icon.button {
        color: #f4faff !important;
        text-shadow: 1px 1px 1px #000000a6 !important;
    }

    .ui.steps .active.step .icon,
    .ui.floating.labeled.icon.dropdown {
        color: rgba(0, 0, 0, .85) !important;
        text-shadow: none !important;
    }

    span {
        overflow-y: hidden !important;
    }

    /* .btn-container{
        width: 750%!important; 
    } */
    /* .ui.labeled.icon.button {
        width: calc(98% / 3)!important;
    } */
    /* label, .v-label :not(.printable) { */
    .v-text-field__slot label,
    .v-text-field__slot .v-label,
    .v-select__slot label,
    .v-select__slot .v-label {
        /* overflow-y: hidden!important; */
        overflow: hidden !important;
        font-family: NotoArabic, Roboto !important;
        text-align: right !important;
        direction: rtl !important;
        right: 0 !important;
        left: auto !important;
    }

    .english label,
    .english .v-label {
        /* Styles */
        overflow-y: hidden !important;
        overflow: hidden !important;
        font-family: NotoArabic, Roboto !important;
        text-align: left !important;
        direction: ltr !important;
        left: 0 !important;
        right: auto !important;
    }

    .englishy>>>.v-label--active {
        margin-left: -27.5px !important;
    }

    .v-select__selection--comma {
        overflow: hidden !important;
    }

    .v-select__selection--comma,
    .theme--light.v-input:not(.v-input--is-disabled) input {
        color: rgb(18, 39, 132) !important;
        font-size: 1.1rem !important;
        /* color: gray!important;
        font-size: .95rem!important; */
    }

    .theme--light.v-input:not(.v-input--is-disabled) textarea {
        color: #3a3a3a !important;
        font-size: .95rem !important;
    }

    .results-details input {
        border: none !important;
        border-radius: 0 !important;
    }

    .no-pad input {
        line-height: 2 !important;
        padding: 0 !important;
    }

    .ui.fitted.slider.checkbox .label {
        overflow-y: visible !important;
        overflow: visible !important;
    }

    .report-wrapper {
        display: none;
    }

    .v-card--disabled>*:not(.v-card__progress) {
        opacity: 0.4 !important;
    }

    .reg-samples-merge .v-data-table__wrapper {
        overflow-y: hidden !important;
    }

    .v-menu__content {
        z-index: 1000 !important;
    }

    .high-flag input {
        background: #ff000075 !important;
        background: #ff8a8a !important;
    }

    .low-flag input {
        background: #ffa50085 !important;
        background: #ffd07a !important;
    }


    .logo0 {
        width: 50px;
        height: 57px;
        background-image: url(img/tarqeem.png);
        background-repeat: no-repeat;
        background-size: 5rem 5rem;
        background-position: 50% 50%;
        background-size: 7rem 7rem;
        box-shadow: 0 0 0 0.1em rgba(3, 64, 199, 0.38) inset !important;
        font-size: 3em !important;

    }

    .logo {
        width: 50px;
        height: 57px;
        background-image: url(img/yaseer.png);
        background-repeat: no-repeat;
        background-size: 5rem 5rem;
        background-position: 50% 50%;
        background-size: 7rem 7rem;
        box-shadow: 0 0 0 0.1em rgba(3, 64, 199, 0.38) inset !important;
        font-size: 3em !important
    }

    .logo-tibalab0 {
        background-image: url(img/tiba.jpg);
        background-size: 15rem 15rem !important;
        height: 15rem;
        width: 15rem;

    }

    .logo-makka {
        background-image: url(img/makka.png);
        background-size: 15rem 15rem !important;
        height: 15rem;
        width: 15rem;
    }

    .home-avatar0 {
        background-image: url(img/tarqeem-arabic.png);
    }

    .home-avatar {
        background-image: url(img/yaseer-arabic.png);
    }

    .home-avatar-makka {
        background-image: url(img/makka.png) !important;
    }

    .ui.labeled.icon.button,
    .ui.labeled.icon.buttons .button {
        text-align: left !important;
    }

}

/* 
@page {
    size: auto!important;
} */



.v-btn--outlined .v-btn__content .v-icon,
.v-btn--round .v-btn__content .v-icon {
    font-size: clamp(1rem, 5vw, 1.35rem);
}

.v-navigation-drawer {
    z-index: 1000 !important;
}

@media only screen and (max-width: 625px) {
    .corrected-height-main {
        max-height: 120vh !important;
        height: 120vh !important;
    }
}



/* fix vuetify */
.v-select__selection .v-select__selection--comma {
    /* line-height: 35px!important; */
}